Subject: Re: [PATCH net] selftests: netdevsim: fix the udp_tunnel_nic test

From: Simon Horman <[email-masked]>
Date: Wed, 24 Jan 2024 10:19:15 +0000

On Mon, Jan 22, 2024 at 10:05:29PM -0800, Jakub Kicinski wrote:
> This test is missing a whole bunch of checks for interface
> renaming and one ifup. Presumably it was only used on a system
> with renaming disabled and NetworkManager running.
> 
> Fixes: 91f430b2c49d ("selftests: net: add a test for UDP tunnel info infra")
> Signed-off-by: Jakub Kicinski <[email-masked]>

I see some discussion of a follow-up to move away from ifconfig which I
agree with (which century are we in now?). But this patch looks good in
it's own right.

Reviewed-by: Simon Horman <[email-masked]>